<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions targetNamespace="http://services" xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:impl="http://services" xmlns:intf="http://services" xmlns:tns1="http://enitie" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<!--WSDL created by Apache Axis version: 1.4
Built on Apr 22, 2006 (06:55:48 PDT)-->
 <wsdl:types>
  <schema elementFormDefault="qualified" targetNamespace="http://services" xmlns="http://www.w3.org/2001/XMLSchema">
   <import namespace="http://enitie"/>
   <element name="addModule">
    <complexType>
     <sequence>
      <element name="mat" type="tns1:Module"/>
     </sequence>
    </complexType>
   </element>
   <element name="addModuleResponse">
    <complexType>
     <sequence>
      <element name="addModuleReturn" type="tns1:Module"/>
     </sequence>
    </complexType>
   </element>
   <element name="updateModule">
    <complexType>
     <sequence>
      <element name="id" type="xsd:int"/>
      <element name="mat" type="tns1:Module"/>
     </sequence>
    </complexType>
   </element>
   <element name="updateModuleResponse">
    <complexType>
     <sequence>
      <element name="updateModuleReturn" type="tns1:Module"/>
     </sequence>
    </complexType>
   </element>
   <element name="deleteModule">
    <complexType>
     <sequence>
      <element name="id" type="xsd:int"/>
     </sequence>
    </complexType>
   </element>
   <element name="deleteModuleResponse">
    <complexType>
     <sequence>
      <element name="deleteModuleReturn" type="xsd:boolean"/>
     </sequence>
    </complexType>
   </element>
   <element name="getmats">
    <complexType/>
   </element>
   <element name="getmatsResponse">
    <complexType>
     <sequence>
      <element maxOccurs="unbounded" name="getmatsReturn" type="tns1:Module"/>
     </sequence>
    </complexType>
   </element>
  </schema>
  <schema elementFormDefault="qualified" targetNamespace="http://enitie" xmlns="http://www.w3.org/2001/XMLSchema">
   <complexType name="Module">
    <sequence>
     <element name="cour" nillable="true" type="xsd:string"/>
     <element name="idMatiere" nillable="true" type="xsd:int"/>
     <element name="prof" nillable="true" type="xsd:int"/>
    </sequence>
   </complexType>
  </schema>
 </wsdl:types>

   <wsdl:message name="updateModuleRequest">

      <wsdl:part element="impl:updateModule" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="deleteModuleRequest">

      <wsdl:part element="impl:deleteModule" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="deleteModuleResponse">

      <wsdl:part element="impl:deleteModuleResponse" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="addModuleRequest">

      <wsdl:part element="impl:addModule" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="getmatsResponse">

      <wsdl:part element="impl:getmatsResponse" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="updateModuleResponse">

      <wsdl:part element="impl:updateModuleResponse" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="getmatsRequest">

      <wsdl:part element="impl:getmats" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:message name="addModuleResponse">

      <wsdl:part element="impl:addModuleResponse" name="parameters">

      </wsdl:part>

   </wsdl:message>

   <wsdl:portType name="ModuleService">

      <wsdl:operation name="addModule">

         <wsdl:input message="impl:addModuleRequest" name="addModuleRequest">

       </wsdl:input>

         <wsdl:output message="impl:addModuleResponse" name="addModuleResponse">

       </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="updateModule">

         <wsdl:input message="impl:updateModuleRequest" name="updateModuleRequest">

       </wsdl:input>

         <wsdl:output message="impl:updateModuleResponse" name="updateModuleResponse">

       </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="deleteModule">

         <wsdl:input message="impl:deleteModuleRequest" name="deleteModuleRequest">

       </wsdl:input>

         <wsdl:output message="impl:deleteModuleResponse" name="deleteModuleResponse">

       </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getmats">

         <wsdl:input message="impl:getmatsRequest" name="getmatsRequest">

       </wsdl:input>

         <wsdl:output message="impl:getmatsResponse" name="getmatsResponse">

       </wsdl:output>

      </wsdl:operation>

   </wsdl:portType>

   <wsdl:binding name="ModuleServiceSoapBinding" type="impl:ModuleService">

      <wsdlsoap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>

      <wsdl:operation name="addModule">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="addModuleRequest">

            <wsdlsoap:body use="literal"/>

         </wsdl:input>

         <wsdl:output name="addModuleResponse">

            <wsdlsoap:body use="literal"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="updateModule">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="updateModuleRequest">

            <wsdlsoap:body use="literal"/>

         </wsdl:input>

         <wsdl:output name="updateModuleResponse">

            <wsdlsoap:body use="literal"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="deleteModule">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="deleteModuleRequest">

            <wsdlsoap:body use="literal"/>

         </wsdl:input>

         <wsdl:output name="deleteModuleResponse">

            <wsdlsoap:body use="literal"/>

         </wsdl:output>

      </wsdl:operation>

      <wsdl:operation name="getmats">

         <wsdlsoap:operation soapAction=""/>

         <wsdl:input name="getmatsRequest">

            <wsdlsoap:body use="literal"/>

         </wsdl:input>

         <wsdl:output name="getmatsResponse">

            <wsdlsoap:body use="literal"/>

         </wsdl:output>

      </wsdl:operation>

   </wsdl:binding>

   <wsdl:service name="ModuleServiceService">

      <wsdl:port binding="impl:ModuleServiceSoapBinding" name="ModuleService">

         <wsdlsoap:address location="http://localhost:8080/ServerSoapExam/services/ModuleService"/>

      </wsdl:port>

   </wsdl:service>

</wsdl:definitions>
